// b.cpp : Defines the entry point for the console application.
//
#include <fstream.h>

ifstream inpf("input.txt");
ofstream outpf("output.txt");
 
char a[300][300];
int X,Y,n,m;
int l[40][40];

void inpdata()
{
inpf >> n; 
inpf >> m;
X=4*m+1+2*n;
Y=0;
for (int i=0;i<n;i++)
 for (int j=0;j<m;j++)
 {
	 inpf >> l[i][j];
	 if (l[i,j]*3+1+2*i+2>Y) Y=l[i,j]*3+1+2*i+2;
 }
for (int i=0;i<300;i++)
for (int j=0;j<300;j++)
a[i][j]='.';

}

void outpdata()
{
 for (int y=Y-1;y>=0;y--)
	{
	 for (int x=0;x<X;x++)
	 outpf << a[x][y]<<' ';
	 outpf << endl;
	 }

}

int main(int argc, char* argv[])
{
	inpdata();
	 
	return 0;
}
